<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: デバッグサポート</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>デバッグサポート<br/>
<small>
[<a class="el" href="group__m17nMisc.html">MISC API</a>]</small>
</h1>
<p>m17n ライブラリユーザのためのプログラムデバッグサポート.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#gaf1a509be097e9dc29a79652e57a1b96e">mdebug_dump_chartab</a> (<a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *table, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字テーブルをダンプする.  <a href="#gaf1a509be097e9dc29a79652e57a1b96e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615">mdebug_dump_face</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースをダンプする.  <a href="#ga300fc806866e630fda617ff8cc135615"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2">mdebug_dump_font</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントをダンプする.  <a href="#gad9670bbd4f4db66cb231213d215010b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga03ad3b1fffd4f64b5f1c5646f5a85648">mdebug_dump_fontset</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットをダンプする.  <a href="#ga03ad3b1fffd4f64b5f1c5646f5a85648"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputMethod.html">MInputMethod</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c">mdebug_dump_im</a> (<a class="el" href="structMInputMethod.html">MInputMethod</a> *im, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドをダンプする.  <a href="#ga8844c814bf108e3c614ffb41ba810f3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga8b0933991939cadcaed4399a60c9b9db">mdebug_hook</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">エラーの際に呼ばれるフック関数.  <a href="#ga8b0933991939cadcaed4399a60c9b9db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589">mdebug_dump_mtext</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int indent, int fullp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をダンプする.  <a href="#ga52ba04c9aee68a3b57700c6c9f003589"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga130be9986f29171365089b39a3368c28">mdebug_dump_plist</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストをダンプする.  <a href="#ga130be9986f29171365089b39a3368c28"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga9c889e8d4c7730e4f5ff78c9a57fc11f">mdebug_dump_symbol</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シンボルをダンプする.  <a href="#ga9c889e8d4c7730e4f5ff78c9a57fc11f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga04577301857b34f7e50e235bc06fd213">mdebug_dump_all_symbols</a> (int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">すべてのシンボル名をダンプする.  <a href="#ga04577301857b34f7e50e235bc06fd213"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>m17n ライブラリユーザのためのプログラムデバッグサポート. </p>
<p>m17n ライブラリは、そのユーザが自分のプログラムをデバッグするために、以下の機能をサポートしている。</p>
<ul>
<li>
<p class="startli">さまざまな情報の標準エラー出力へのプリントを制御する環境変数。</p>
<ul>
<li>
<p class="startli">MDEBUG_INIT -- 1 ならば、M17N_INIT() が呼ばれた時点で、ライブラリの初期化に関する情報をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_FINI -- 1 ならば、M17N_FINI() が呼ばれた時点で、まだ解放されていないオブジェクトの参照数をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_CHARSET -- 1 ならば、m17n データベースからロードされた文字セットについての情報をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_CODING -- 1 ならば、m17n データベースからロードされたコード系についての情報をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_DATABASE -- 1 ならば、m17n データベースからロードされたデータについての情報をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_FONT -- 1 ならば、選択されてオープンされたフォントにつ いての情報をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_FLT -- 1、2、もしくは 3 ならば、Font Layout Table のど のコマンドが実行中かについてのをプリントする。より大きな値程より詳 しい情報をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_INPUT -- 1 ならば、実行中の入力メソッドの状態に付いての 情報をプリントする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_ALL -- 1 ならば、上記すべての変数を 1 にしたのと同じ効果を持つ。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">MDEBUG_OUTPUT_FILE -- もしファイル名なら、上記デバッグ情報はそ のファイルに追加される。もし "stdout" ならその情報は標準出力に出力 される。</p>
<p class="endli"></p>
</li>
</ul>
<p class="endli"></p>
</li>
<li>
<p class="startli">種々のオブジェクトを人間に可読な形でプリントする関数。詳細は関数 mdebug_dump_XXXX() の説明参照。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">エラー発生時に呼ばれるフック関数。mdebug_hook() の説明参照。</p>
<p class="endli"></p>
</li>
</ul>
<hr/><h2>関数</h2>
<a class="anchor" id="gaf1a509be097e9dc29a79652e57a1b96e"></a><!-- doxytag: member="chartab.c::mdebug_dump_chartab" ref="gaf1a509be097e9dc29a79652e57a1b96e" args="(MCharTable *table, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a>* mdebug_dump_chartab </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">MCharTable</a> *&nbsp;</td>
          <td class="paramname"> <em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字テーブルをダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#gaf1a509be097e9dc29a79652e57a1b96e" title="文字テーブルをダンプする.">mdebug_dump_chartab()</a> は文字テーブル <b>table</b> を標準エラー出力 もしくは環境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可読 な形で印刷する。<b>indent</b> は２行目以降のインデントを指定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>table</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga300fc806866e630fda617ff8cc135615"></a><!-- doxytag: member="face.c::mdebug_dump_face" ref="ga300fc806866e630fda617ff8cc135615" args="(MFace *face, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mdebug_dump_face </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースをダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615" title="フェースをダンプする.">mdebug_dump_face()</a> はフェース <b>face</b> を標準エラー出力もしくは 環境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可読な形で印 刷する。 <b>indent</b> は２行目以降のインデントを指定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>face</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="gad9670bbd4f4db66cb231213d215010b2"></a><!-- doxytag: member="font.c::mdebug_dump_font" ref="gad9670bbd4f4db66cb231213d215010b2" args="(MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mdebug_dump_font </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントをダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2" title="フォントをダンプする.">mdebug_dump_font()</a> はフォント <b>font</b> を標準エラー出力もしくは 環境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可読な形で出 力する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>font</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga03ad3b1fffd4f64b5f1c5646f5a85648"></a><!-- doxytag: member="fontset.c::mdebug_dump_fontset" ref="ga03ad3b1fffd4f64b5f1c5646f5a85648" args="(MFontset *fontset, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a>* mdebug_dump_fontset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td>
          <td class="paramname"> <em>fontset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントセットをダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615" title="フェースをダンプする.">mdebug_dump_face()</a> はフォントセット <b>fontset</b> を標準エラー出力 もしくは環境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可読 な形で出力する。 <b>indent</b> は２行目以降のインデントを指定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>fontset</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga8844c814bf108e3c614ffb41ba810f3c"></a><!-- doxytag: member="input.c::mdebug_dump_im" ref="ga8844c814bf108e3c614ffb41ba810f3c" args="(MInputMethod *im, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMInputMethod.html">MInputMethod</a>* mdebug_dump_im </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structMInputMethod.html">MInputMethod</a> *&nbsp;</td>
          <td class="paramname"> <em>im</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>入力メソッドをダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c" title="入力メソッドをダンプする.">mdebug_dump_im()</a> は入力メソッド <b>im</b> を標準エラー出力もしくは 環境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可読な形で出 力する。<b>indent</b> は２行目以降のインデントを指定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>im</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga8b0933991939cadcaed4399a60c9b9db"></a><!-- doxytag: member="m17n&#45;core.c::mdebug_hook" ref="ga8b0933991939cadcaed4399a60c9b9db" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mdebug_hook </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>エラーの際に呼ばれるフック関数. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga8b0933991939cadcaed4399a60c9b9db" title="エラーの際に呼ばれるフック関数.">mdebug_hook()</a> はエラーが起こった際に呼ばれ、何もせずに-1 を返す。デバッガ内でブレークポイントを設定するために用いることができる。 </p>

</div>
</div>
<a class="anchor" id="ga52ba04c9aee68a3b57700c6c9f003589"></a><!-- doxytag: member="mtext.c::mdebug_dump_mtext" ref="ga52ba04c9aee68a3b57700c6c9f003589" args="(MText *mt, int indent, int fullp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mdebug_dump_mtext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>fullp</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-text をダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589" title="M-text をダンプする.">mdebug_dump_mtext()</a> は M-text <b>mt</b> を標準エラー出力もしくは環 境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可読な形で印刷 する。 <b>indent</b> は２行目以降のインデントを指定する。<b>fullp</b> が 0 なら ば、文字コード列だけを印刷する。そうでなければ、内部バイト列とテキ ストプロパティも印刷する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>mt</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga130be9986f29171365089b39a3368c28"></a><!-- doxytag: member="plist.c::mdebug_dump_plist" ref="ga130be9986f29171365089b39a3368c28" args="(MPlist *plist, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mdebug_dump_plist </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストをダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga130be9986f29171365089b39a3368c28" title="プロパティリストをダンプする.">mdebug_dump_plist()</a> はプロパティリスト <b>plist</b> を標準エラー出 力もしくは環境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可 読な形で印刷する。 <b>indent</b> は２行目以降のインデントを指定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>plist</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga9c889e8d4c7730e4f5ff78c9a57fc11f"></a><!-- doxytag: member="symbol.c::mdebug_dump_symbol" ref="ga9c889e8d4c7730e4f5ff78c9a57fc11f" args="(MSymbol symbol, int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mdebug_dump_symbol </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>symbol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>シンボルをダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga9c889e8d4c7730e4f5ff78c9a57fc11f" title="シンボルをダンプする.">mdebug_dump_symbol()</a> はシンボル $symbol を標準エラー出力もし くは環境変数 MDEBUG_DUMP_FONT で指定されたファイルに人間に可読な形 で印刷する。 <b>indent</b> は２行目以降のインデントを指定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>symbol</b> を返す。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd>MERROR_DEBUG </dd></dl>

</div>
</div>
<a class="anchor" id="ga04577301857b34f7e50e235bc06fd213"></a><!-- doxytag: member="symbol.c::mdebug_dump_all_symbols" ref="ga04577301857b34f7e50e235bc06fd213" args="(int indent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mdebug_dump_all_symbols </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>indent</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>すべてのシンボル名をダンプする. </p>
<p>関数 <a class="el" href="group__m17nDebug.html#ga04577301857b34f7e50e235bc06fd213" title="すべてのシンボル名をダンプする.">mdebug_dump_all_symbols()</a> は、すべてのシンボルの名前を標準エ ラー出力もしくは環境変数 MDEBUG_DUMP_FONT で指定されたファイルに印 刷する。 <b>indent</b> は２行目以降のインデントを指定する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> を返す。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd>MERROR_DEBUG </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
